a13nDocs

准备 Composer

工作空间的 Agent Composer,创建或更新为部署定义的版本。 工作空间没有调用者可用的模型时,以 `model_required` 拒绝。

POST/api/v1/agent-composer

工作空间的 Agent Composer,创建或更新为部署定义的版本。

工作空间没有调用者可用的模型时,以 model_required 拒绝。

认证与授权

认证与授权Bearer <token>

工作空间 API 密钥(a13n_...)

传递位置: header

请求头参数

X-Workspace-ID?|

登录会话作用的工作空间 ID,登录会话必须提供。API 密钥作用于自身工作空间,无需提供;禁止指定其他工作空间。

响应体

application/json

application/json

application/json

curl -X POST "https://example.com/api/v1/agent-composer"
{  "archived_at": "2019-08-24T14:15:22Z",  "created_at": "2019-08-24T14:15:22Z",  "created_by_id": "string",  "default_revision_id": "string",  "description": "string",  "id": "string",  "image_url": "string",  "labels": {    "property1": "string",    "property2": "string"  },  "name": "string",  "organization_id": "string",  "source": "custom",  "updated_at": "2019-08-24T14:15:22Z",  "updated_by_id": "string",  "version": 0,  "workspace_id": "string"}